%define major 2
%define minor 50.39
%define version %{major}.%{minor}
%define lib_name myodbc

Summary: ODBC driver for MySQL
Name: MyODBC
Version: %{version}
Release: 1mdk
URL: http://www.mysql.com/downloads/api-myodbc.html
Source: http://www.mysql.com/Downloads/MyODBC/MyODBC-%{version}.tar.bz2
License: Public Domain
Group: System/Libraries
Requires: unixODBC
BuildRequires: mysql-devel unixODBC-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
An ODBC driver for MySQL, for use with unixODBC.

%package -n lib%{lib_name}%{major}
Summary: ODBC driver for MySQL
Group: System/Libraries 
 
%description -n lib%{lib_name}%{major}
An ODBC driver for MySQL, for use with unixODBC.

%package -n lib%{lib_name}%{major}-devel
Summary: Development library for ODBC driver for MySQL
Group: Development/C
Provides: lib%{lib_name}-devel %{name}-devel
Obsoletes: lib%{lib_name}-devel %{name}-devel
Requires: lib%{lib_name}%{major} = %{version}
%description -n lib%{lib_name}%{major}-devel
An ODBC driver for MySQL, for use with unixODBC.

%prep
%setup -q

%build

perl -pi -e "s/libmyodbc_la_LDFLAGS=-release @myodbc_version@/libmyodbc_la_LDFLAGS=-version-info @myodbc_version@/" Makefile.am

perl -pi -e "s/AC_INIT\\(myodbc.c\\)/AC_INIT(myodbc.c)\nMAJOR=%{major}\nMINOR=%{minor}/" configure.in
perl -pi -e 's/myodbc_version=\$VERSION/myodbc_version=%{major}:%{minor}:0/' configure.in

%configure --with-unixODBC=/usr/lib/ --with-odbc-ini=/etc/odbc.ini --prefix=/usr --sysconfdir=/etc
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

ln -s $RPM_BUILD_ROOT/%{_libdir}/lib%{lib_name}.so.%{major} $RPM_BUILD_ROOT/%{_libdir}/lib%{lib_name}-%{version}.so
rm $RPM_BUILD_ROOT/%{_libdir}/libmyodbc.la

%post -n lib%{lib_name}%{major} -p /sbin/ldconfig

%postun -n lib%{lib_name}%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n lib%{lib_name}%{major}
%defattr(-,root,root)
%doc INSTALL ChangeLog odbc.ini
%{_libdir}/lib%{lib_name}.so.*
%{_libdir}/lib%{lib_name}-%{major}.%{minor}.so

%files -n lib%{lib_name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/lib%{lib_name}.so

%changelog
* Fri Nov 29 2002 Warly <warly@mandrakesoft.com> 2.50.39-1mdk
- first mandrake package, on holm@theorie.physik.uni-goettingen.de request

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-5
- Don't do automake tricks - just do a libtoolize
- Don't use %%configure

* Wed Feb 27 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-4
- Rebuild

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-3
- Rebuild
- libtoolize, autoreconf
- specify unixODBC prefix as "/var/tmp" (which exists, but isn't used).
  If you specify /usr, gcc will complain about a system path being
  listed (and thus configure will fail) if you don't, autoconf will
  think the prefix is "yes" and do a "-Lyes/lib". POC.


* Mon Oct  1 2001 Trond Eivind Glomsrd <teg@redhat.com> 2.50.39-1
- 2.50.39

* Fri Jul 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- move requirement of unixODBC-devel from runtime to buildtime

* Tue Apr 24 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build.


